<ng-container *ngIf="noImage; else sectionCardImage">
  <mat-card class="card-landing-page is-full-width">
    <mat-card-content>
      <p class="is-size-3 has-text-weight-bold mt-5">{{ title }}</p>
      <p class="is-size-5 has-text-weight-bold mt-4">{{ subtitle }}</p>
    </mat-card-content>
    <mat-card-actions>
      <button mat-raised-button [color]="buttonColor" [routerLink]="buttonAction">
        {{ buttonMessage }}
      </button>
    </mat-card-actions>
  </mat-card>
</ng-container>
<ng-template #sectionCardImage>
  <div class="columns is-desktop is-vcentered my-5">
    <div class="column">
      <figure class="image" *ngIf="imageUrl || noImage; else loading">
        <img [src]="imageUrl" />
      </figure>
    </div>
    <div class="column">
      <mat-card class="card-landing-page">
        <mat-card-content>
          <p class="is-size-3 has-text-weight-bold mt-5">{{ title }}</p>
          <p class="is-size-5 has-text-weight-bold mt-4">{{ subtitle }}</p>
        </mat-card-content>
        <mat-card-actions>
          <button mat-raised-button [color]="buttonColor" [routerLink]="buttonAction">
            {{ buttonMessage }}
          </button>
        </mat-card-actions>
      </mat-card>
    </div>
  </div>
</ng-template>

<ng-template #loading>
  <app-loading></app-loading>
</ng-template>
